


     <div class="container" ng-show="tablevisible">
     <div class="jumbotron">


         <div class="col-md-3 col-sm-3 col-xs-8 form-group pull-right top_search">
             <div class="input-group">
                 <input type="text" class="form-control" placeholder="Search for..." ng-model="searchtext">
                 <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
             </div>
         </div>
    <button ng-click="showhide()"class="w3-button w3-green w3-border">Add New&nbsp;<i class="fa fa-plus" aria-hidden="true"></i></button>
         <div class="mystyle">
         <button data-ng-click="exportAction('csv')"class="w3-button  w3-indigo">  CSV</button>
         <button data-ng-click="exportAction('excel')"class="w3-button  w3-indigo"> Excel</button>
         <button data-ng-click="exportAction('doc')" class="w3-button  w3-indigo"> Doc</button>
         <button data-ng-click="exportAction('pdf')"class="w3-button  w3-indigo">  Pdf</button>
         <br>
         <br>
         </div>
    <div class="text-center">

    <table class="table table-striped table-bordered" export-table>

        <thead>
        <tr>
            <th ng-repeat="formhead in projectJsonConfig" ng-if="formhead.name!='Details'&&formhead.name!='Meetingfollowup'">{{formhead.name}}</th>

            <th>action</th>

        </tr>
        </thead>

        <tbody>
        <tr dir-paginate="project in projectDetails.detailsArray|filter:searchtext|itemsPerPage:5">
            <td ng-repeat="(key, value) in project"  ng-if="key!=='__v'&&key!='_id'&&key!='Details'&&key!='Meetingfollowup'">{{value}}</td>
            <td class="text-center">
                <a class='btn btn-info btn-xs' ng-click="getprojectDetailsById(project)">
                    <span class="glyphicon glyphicon-edit"></span> Edit
                </a>


                <a class="btn btn-danger btn-xs" data-toggle="modal" ng-click="setprojectDetailsIdFroDelete(project._id)"  data-target="#myModal">
                        <span class="glyphicon glyphicon-remove">
                        </span> Del</a>

                <a class="btn btn-success btn-xs" data-toggle="modal"   data-target="#myModal">
                        <span class="glyphicon glyphicon-open">
                        </span> upload</a>

                <a class="btn btn-info btn-xs" data-toggle="modal"  data-target="#myModal">
                        <span class="glyphicon glyphicon-envelope">
                        </span> send invite</a>


            </td>

        </tr>
        </tbody>

    </table>
    </div>
         <dir-pagination-controls class="paging"
                 max-size="2"
                 direction-links="true"
                 boundary-links="true">
         </dir-pagination-controls>

</div>




</div>

    <div class="modal fade" id="myModal" role="dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Confirm Deletion</h4>
                </div>
                <div class="modal-body">
                    <p>Are you sure you want to delete this item ?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal"  id="btnClose">Close</button>
                    <button type="submit" class="btn btn-default" ng-click="deleteprojectDetails(projectDetails.mongodbIdForDelete)">
                        Delete</button>

                </div>
            </div>

        </div>



    <div class="row" ng-show="formvisible">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2>project <small>admin</small></h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <br />

                    <form class="form-horizontal form-label-left" role="form">

                        <!--<json-from json-config=projectJsonConfig></json-from>-->

                        <div class="row">

                            <div class="form-group">
                                    <label class="control-label col-sm-2">Clientproject</label>
                                    <div class="col-sm-6">
                                        <!--<input type="text" class="form-control col-md-7 col-xs-12"   ng-model="project.Clientproject" />-->

                                        <select chosen
                                                option="clientlist"
                                                ng-model="project.Clientproject"
                                                ng-options="list for list in clientlist">
                                        </select>
                                    </div>
                                </div>

                            <div class="form-group">
                                <label class="control-label col-sm-2">Name of the project</label>
                                <div class="col-sm-6">
                                    <input type="text" class="form-control col-md-7 col-xs-12"   ng-model="project.Nameoftheproject" />
                                </div>
                            </div>


                            <div class="form-group">
                                    <label class="control-label col-sm-2">Details</label>
                                    <div class="col-sm-6">
                                        <textarea class="form-control col-md-7 col-xs-12"  placeholder="Details"  ng-model="project.Details" type="text"></textarea>

                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="control-label col-sm-2"> No of Employees</label>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control col-md-7 col-xs-12"  placeholder=" No of Employees"  ng-model="project.Noofemployees" />
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="control-label col-sm-2">Employeeid</label>
                                    {{project.Employeeids}}
                                    <div class="col-sm-6">
                                        <select chosen multiple
                                                option="employeeIdList"
                                                ng-model="project.Employeeid"
                                                ng-options="idOfEmployee for idOfEmployee in idofemployee">
                                        </select>

                                    </div>
                                </div>

                                 <div class="form-group">
                                    <label class="control-label col-sm-2">Project start date</label>
                                    <div class="col-sm-6">
                                        <div class="input-group" ng-controller="dateandtimepicCtrl as ctrl">
                                            <input type="text" class="form-control"  datetime-picker  ng-model="project.Projectstartdate" is-open="ctrl.picker6.open"  ng-change="dateAndTime(ctrl.picker6.date);changingDateValue(ctrl.picker6.date)" ng-init="ctrl.picker6.date"/>
                                             <span class="input-group-btn">
                                          <button type="button" class="btn btn-default" ng-click="ctrl.openCalendar($event, 'picker6')"><i class="fa fa-calendar"></i></button>
                                         </span>
                                        </div>

                                    </div>
                                </div>

                                 <div class="form-group">
                                    <label class="control-label col-sm-2">Status</label>
                                    <div class="col-sm-6">
                                        <textarea class="form-control col-md-7 col-xs-12"  placeholder="Status"  ng-model="project.Status" type="text"></textarea>

                                    </div>
                                </div>


                                <!--<div class="form-group">-->
                                    <!--<label class="control-label col-sm-2">Meeting follow up</label>-->
                                    <!--<div class="col-sm-6">-->
                                        <!--<textarea class="form-control col-md-7 col-xs-12"  placeholder="Status"  ng-model="project.Meetingfollowup" type="text"></textarea>-->

                                    <!--</div>-->
                                <!--</div>-->

                                <div class="form-group">
                                    <label class="control-label col-sm-2">Latest meet up</label>
                                    <div class="col-sm-6">
                                        <textarea class="form-control col-md-7 col-xs-12"  placeholder="Status"  ng-model="project.Latestmeetup" type="text"></textarea>

                                    </div>
                                </div>

                        </div>

                        <div class="ln_solid"></div>

                      <div class="form-group">
            <div class="col-sm-offset-6 col-sm-4">
                <button type="close" class="btn " ng-click="showhide()"><i class="fa fa-times" aria-hidden="true" ng-click="showhide()"></i>close</button>
                <button type="submit" class="btn btn-primary" ng-click="saveproject(project)"><i class="fa fa-floppy-o" aria-hidden="true">save</i></button>
            </div>
        </div>

             </form>
        </div>
        </div>
    </div>

    </div>




    <div class="row" ng-show="form2visible">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2>project <small>admin</small></h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <br />


                    <edit-from json-config="projectEditJsonConfig"></edit-from>
                    <div class="ln_solid"></div>

                    <div class="form-group">
                <div class="col-sm-offset-6 col-sm-4">
                    <button type="close" class="btn " ng-click="showhide2()"><i class="fa fa-times" aria-hidden="true">close</i></button>
                    <button type="submit" class="btn btn-primary"  ng-click="updateprojectDetailsToDb(projectEditJsonConfig)">
                        Update</button>
                    <!--<button type="submit" class="btn btn-primary"  ng-click="updateclientDetailsToDb(clientEditJsonConfig)">-->
                    <!--Update</button>-->
                </div>
            </div>
            </form>
        </div>
    </div>
        </div>
    </div>





